package saccubus.worker;

/**
 *
 * @author yuki
 */
public interface WorkerListener<T, V> {

    void process(V progress);

    void cancelled();

    void done(T result);

    void error(Throwable th);
}
